FORUMS
Remove All Ads from XDA

[ROM] [4.4.4] [Jul-20] [HOMEMADE] OmniRom for HTC Desire (GSM) | *Inspired*

2,008 posts
Thanks Meter: 4,521
 
By spezi77, Recognized Contributor on 26th April 2014, 07:46 PM
Post Reply Email Thread
13th March 2015, 05:11 PM |#131  
Mischa42's Avatar
Senior Member
Flag Cologne
Thanks Meter: 82
 
More
Quote:
Originally Posted by spezi77

Hi spezi77, Hi anyone,
I've got a quick question. Can I install your ROM on HTC Desire with S-ON? In other threads I read that most ROMs require to be S-OFF. I have 4ext recovery installed, the ext-sd is partitioned, SuperSU installed and I have the following baseband version installed. I'm currently on Android 2.2 Stock HTC ROM.

c:\adb>fastboot getvar all
< waiting for device >
(bootloader) version: 0.5
(bootloader) version-bootloader: 1.03.0003
(bootloader) version-baseband: 5.11.05.27
(bootloader) version-cpld: None
(bootloader) version-microp: 031d
(bootloader) version-main: 2.35.0.0
(bootloader) serialno: xxx
(bootloader) imei: xxx
(bootloader) product: bravo
(bootloader) platform: HBOOT-8x50
(bootloader) modelid: PB9920000
(bootloader) cidnum: HTC__102
(bootloader) battery-status: good
(bootloader) battery-voltage: 4157mV
(bootloader) partition-layout: Generic
(bootloader) security: on
(bootloader) build-mode: SHIP
(bootloader) boot-mode: FASTBOOT
(bootloader) commitno-bootloader: 229eea55
(bootloader) hbootpreupdate: 11
all: Done!
finished. total time: 0.062s


I know from my HTC One M8 running on ARHD custom ROM, that firmware (baseband, radio) must match ROM, otherwise you're in trouble. Any information is highly appreciated!

Cheers & Thanks,
Mischa

Edit: I could successfully install this ROM. I'm using 4ext as recovery and portioned ext-sd as described. WiFi and phone are working, so I assume that my firmware matches this ROM and I can use it with S-ON. The hardware is a bit old, and some apps (e.g. PayBack) crash sometimes or let the device reboot. Anyway, great to have Android 4.4.4 on this device. Thanks!
 
 
1st March 2016, 09:43 PM |#132  
Junior Member
Thanks Meter: 0
 
More
I try to connect a VPN (IPSec Xauth PSK) on my htc Desire OmniRom and get a error in the log. Do you know how to fix it?

I/LegacyVpnRunner( 474): Aborting
I/LegacyVpnRunner( 474): java.lang.IllegalStateException: racoon is dead
I/LegacyVpnRunner( 474): at com.android.server.connectivity.Vpn$LegacyVpnRunne r.execute(Vpn.java:1096)
I/LegacyVpnRunner( 474): at com.android.server.connectivity.Vpn$LegacyVpnRunne r.run(Vpn.java:975)
I/iptables( 83): iptables: No chain/target/match by that name.
I/iptables( 83): iptables terminated by exit(1)
E/Netd ( 83): exec() res=0, status=256 for /system/bin/iptables -t mangle -D st_mangle_POSTROUTING -p tcp -o rmnet0 --tcp-flags SYN,RST SYN -j TCPMSS --clamp-mss-to-pmtu
I/ip6tables( 83): ip6tables: No chain/target/match by that name.
I/ip6tables( 83): ip6tables terminated by exit(1)
2nd March 2016, 02:26 PM |#133  
Senior Member
Kraków
Thanks Meter: 394
 
More
In first post OP:

OpenVPN (kernel issue: cannot acquire tun interface socket)
11th March 2016, 06:28 PM |#134  
Junior Member
Thanks Meter: 0
 
More
I have wi-fi problem :/ can't turn on..
16th March 2016, 08:18 PM |#135  
spezi77's Avatar
OP Recognized Contributor
Flag /home/xda
Thanks Meter: 4,521
 
Donate to Me
More
Quote:
Originally Posted by bobadesire

I have wi-fi problem :/ can't turn on..

Try wiping dalvik cache + cache partition. If the problem still persists, you could try a fresh installation or a different ROM.
The Following User Says Thank You to spezi77 For This Useful Post: [ View ] Gift spezi77 Ad-Free
18th March 2016, 09:09 PM |#136  
Senior Member
Kraków
Thanks Meter: 394
 
More
Quote:
Originally Posted by NF17

I try to connect a VPN (IPSec Xauth PSK) on my htc Desire OmniRom and get a error in the log. Do you know how to fix it?

If you really want to use OpenVPN, try CyanogenMod007 or CyanoMod007 of @michaelm_007 .

Quote:
Originally Posted by michaelm_007

- Kernel: 2.6.38.8-evervolv-turba-jellybean
- Supports Bash, Nano, OpenVPN

19th March 2016, 01:17 AM |#137  
Senior Member
Thanks Meter: 37
 
More
Quote:
Originally Posted by ze7zez

If you really want to use OpenVPN, try CyanogenMod007 or CyanoMod007 of @michaelm_007 .

Also, as far I remember there was an android 4.3.1 rom in which OpenVPN and turn.ko worked: http://forum.xda-developers.com/show....php?t=2669651
25th October 2016, 11:22 PM |#138  
Junior Member
Thanks Meter: 2
 
More
Don't suppose anyone is still in this thread. I have partitioned my sd card and flashed rom, installed a2sd in terminal then flashed gapps. when i try to update Google Play Services it tells me I have insufficient storage space. If i use the apk from APK mirror it updates but then I get the same storage error when I try to install anything else e.g. Hangouts. Any idea what I could be doing incorrectly?
26th October 2016, 02:53 PM |#139  
Senior Member
Kraków
Thanks Meter: 394
 
More
microG GmsCore or Delta Gapps
Quote:
Originally Posted by cliffyboro

Don't suppose anyone is still in this thread. I have partitioned my sd card and flashed rom, installed a2sd in terminal then flashed gapps. when i try to update Google Play Services it tells me I have insufficient storage space. If i use the apk from APK mirror it updates but then I get the same storage error when I try to install anything else e.g. Hangouts. Any idea what I could be doing incorrectly?

All you're doing well, except that you are updating Google applications that are getting bigger and bigger and they must be on the system partition.

You try microG GmsCore or Delta Gapps and write if this helps.
Post Reply Subscribe to Thread

Guest Quick Reply (no urls or BBcode)
Message:
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes